<template>
  <div class="wallet-token" v-loading="!priceInUsd">
    <div class="wallet-token__top">
      <div class="wallet-token__sub">
        {{ month }} {{ firstDay }} – {{ month }} {{ lastDay }}, {{ year }}
      </div>
      <div class="wallet-token__title">{{ $t('ico_price') }}</div>
    </div>
    <div class="wallet-token__bottom">
      <div class="wallet-token__value" v-if="priceInUsd !== undefined">
        <span>$</span>{{ priceInUsd }}
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
import { format } from 'date-fns'

export default defineComponent({
  name: 'WalletToken',
  setup() {
    const date = new Date()
    const y = date.getFullYear()
    const m = date.getMonth()
    const firstDay = format(new Date(y, m, 1), 'd')
    const lastDay = format(new Date(y, m + 1, 0), 'd')
    const month = format(new Date(m), 'MMM')
    const year = format(new Date(), 'yyyy')
    return {
      priceInUsd: 0.5,
      format,
      firstDay,
      lastDay,
      month,
      year
    }
  }
})
</script>

<style lang="scss" scoped>
.wallet {
  &-token {
    background: rgba(#00ffb3, 0.1);
    border-radius: 3px;
    margin: 0 -8px 8px -8px;
    padding: 15px 20px;
    font-size: 0px;

    display: flex;
    align-items: center;
    justify-content: space-between;

    &__sub {
      font-size: 14px;
      line-height: 18px;
      font-weight: bold;
      letter-spacing: 0.7px;
      color: #00ffb3;
      text-transform: uppercase;
    }
    &__title {
      font-weight: bold;
      font-size: 22px;
      line-height: 28px;
      color: #ffffff;
    }
    &__value {
      margin-left: 10px;
      font-size: 38px;
      line-height: 46px;
      color: #ffffff;
      text-transform: uppercase;
      span {
        color: #00ffb3;
      }
    }
  }
}

@media (min-width: 1199.98px) {
  .wallet {
    &-token {
      margin: 0px;
      padding: 30px;
      position: fixed;
      border-radius: 5px;
      display: block;
      &__sub {
        font-size: 18px;
        line-height: 18px;
        letter-spacing: 0.9px;
        margin-bottom: 5px;
      }
      &__title {
        font-size: 30px;
        line-height: 38px;
        margin-bottom: 20px;
      }
      &__value {
        margin-left: 0px;
        font-size: 55px;
        line-height: 67px;
      }
    }
  }
}
</style>
